Bug 127263 - Reset Help Button's link in QR Code Dialog
Summary: Reset Help Button's link in QR Code Dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Gabor Kelemen (allotropia)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: Help-Link QR-code
  Show dependency treegraph
 
Reported: 2019-09-01 11:11 UTC by shubhamgoyal
Modified: 2020-08-19 15:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shubhamgoyal 2019-09-01 11:11:46 UTC
Description:
The Help button in the QR Code dialog lead to a wrong documentation page rather than the documentation page of QR Code which is https://help.libreoffice.org/6.4/en-US/text/shared/guide/qrcode.html?DbPAR=SHARED#bm_id901566317201860

Steps to Reproduce:
1.Open Writer
2.Insert -> QR Code..
3.Help - read online

Actual Results:
The help button leads to https://help.libreoffice.org/6.4/en-US/text/swriter/main0000.html?System=UNIX&DbPAR=WRITER

Expected Results:
The corrected page to which the button should lead to is https://help.libreoffice.org/6.4/en-US/text/shared/guide/qrcode.html?DbPAR=SHARED#bm_id901566317201860


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Xisco Faulí 2019-09-17 05:16:06 UTC
COnfirmed in

Version: 6.4.0.0.alpha0+
Build ID: 0d90da9ea0a23c9c4afac62025208559b1496a0e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Julien Nabet 2019-09-17 09:45:47 UTC
Xisco: I searched in cui/uiconfig/ui/qrcodegen.ui + cui/source/dialogs/QrCodeGenDialog.cxx and cui/source/inc/QrCodeGenDialog.hxx
I don't know at all how the link is done between Help button and Help doc so can't help here.
Comment 3 Commit Notification 2020-06-04 22:31:37 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/9255147fb8e8fd4b93c254a7505aa20baddec7fd

tdf#127263 Connect QR Code dialogs Help button to the online help
Comment 4 Commit Notification 2020-06-05 12:42:08 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/help/commit/f1f6e72cd28744bb20ac18dd4071aa26179bd63a

tdf#127263 Connect QR Code dialogs Help button to the online help
Comment 5 Gabor Kelemen (allotropia) 2020-08-19 15:52:04 UTC
This should be fixed now.